続、さっきの話題

XNA3.1のFBXImporterは

2009.3のVerまでの物しか対応していないと言うことが解りましたよぉ~

これ以降のVerだと

メモリ関連でエラーが出るみたいです

 

しかも、最新版のCrosswalkのFBX書き出しだと

テクスチャパスが出力されないみたいかな??

 

CrossWalkを2009.3くらいに戻すか

FBX ConverterでVerを下げると、無事に読み込めるようになるようですよ~

956.jpg

で、注意は

デフォーマーにニュートラルポーズを設定しないということ。

設定してあると

それも骨として書き出されちゃって

XNAで読み込むときにエラーが出る・・・

 

SDKが無理だったときは

標準のを使うので、ここら辺注意として頭に入れておかないと・・・

« 前の記事: を読む

次の記事: を読む »

コメント

※名前の入力は必須です

  1. Ymt3D 2011/07/23 22:55

    お疲れ様です!ポスビの進化に期待です!!!
    そういえばXNA4.0のサンプルデータ 無事動きましたー

  2. LAG 2011/07/24 22:04

    >>Ymt3Dさん
    どうもです!
    とりあえずは、見えてない部分の修正でいきたいと思います
    動作報告ありがとうございます!
    4.0は2010のCrossWalk対応みたいです

コメントを残す

---

以下のHTMLタグが使えます: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

※管理人にのみコメントを残す場合は、こちらのフォームよりお願いします